New IDE purchases will be re-routed to the FDI Package IDE for FF starting in September 2019.

Foundation Fieldbus DD IDE will be retired from support in September 2020.  



The FDI Package IDE is an integrated development environment that unifies the creation of HART and FF DDs as well as FDI Device Packages within a single tool. Additionally, full support of HART and FF EDD development including EDD debugging and host assessor is included in this release. 

 

WITH THE RELEASE OF FDI IDE 1.4, THE EXISTING HART AND FOUNDATION FIELDBUS DD-IDE WILL BE DISCONTINUED. 

 

Beginning on September 17, 2019, licensing will be affected as follows: 

 

  • New licenses will be issued for FDI Package IDE 1.4 only. The FF DD-IDE will not be available to purchase.


  • For license terms beginning January 1, 2020, existing active licensees of HART and FF DD-IDE’s will be offered a license upgrade to the FDI 1.4 IDE on their maintenance renewal date.   Maintenance invoices are issued quarterly, one quarter in advance of the license expiration and will reflect new maintenance fees. 


  • During the calendar year 2020, any active licensee may upgrade to FDI IDE 1.4 prior to their maintenance renewal date at the new annual fee, additionally, the maintenance renewal date will be adjusted to the upgrade date. 


  • Inactive licensees wishing to use the FDI IDE will need to purchase a new license for the FDI IDE and will be responsible for licensing fees associated with the product.  


Frequently Asked Questions 

 

After September 17, 2019, what support will be offered for the current FF DD-IDE? 

  • Bug fixes and upgrades will no longer be made after September 17, 2019.  For example, if a tokenizer is upgraded, the new tokenizer will only be integrated with FDI IDE. 
  • Support questions for the current DD-IDE’s will continue to be addressed until September 17, 2020. 

 

I have a device that I am developing with the current FF DD-IDE.  Can I still register this device after September 17, 2019? 

  • Yes. However, the FDI IDE contains bug fixes and additional tooling that improve DDs developed using the tool. The RRTE of the FDI IDE provides a tool to view the DDs in the latest standard host rendering development tool. All DDs should be developed using the latest FDI IDE for the best user experience and registration process. 
  • The list of accepted tools for registration are listed in the Registration Policies found on the support portal.  

 

Will FDI Device Packages be a requirement for registration after September 17, 2019? 

  • Not yet.  Since licenses renew throughout the year, FDI Device Packages will not be required for registration until all members have been offered an upgrade to the FDI IDE 1.4.  

  • We currently plan to begin requiring FDI Device Packages with new or revised device registrations on December 31, 2020. 

 

After I upgrade to FDI IDE 1.4 what tool will I use to revise existing DDs? 

  • The FDI IDE 1.4 tool generates .ffo, and .ff5 files in addition to DD versions required for FDI (.ff6).  FieldComm Group will continue to accept these file formats if generated with the FDI IDE. 

 

Is there any training available on the new FDI IDE 1.4? 

  • Customized On-Site training is also available.  Contact support for more information. 

 

What are the major new features in the FDI IDE 1.4? 

  • Consolidated IDE for all HART, FF, PROFIBUS, ISA 100.11a DD and FDI Package development.  

  • Full support of FF DD development including DD debugging and host assessor. 
  • HTML5 UIP support in FDI Packages. 


  • DPCTT enhancements for PROFIBUS, PROFINET.